{% extends '::base.html.twig' %}

{% block title %}News - {{ parent() }}{% endblock %}

{% if is_facebook_feed_cached() %}
    {% block headBeforeEnd %}
        <script type="application/ld+json">
            {% include 'AppBundle:fragment:feed-structured-markup-json-ld.json.twig' with {
                'feed'  : facebook_feed_direct(),
                'count' : config('feed.count.news', 12)
            } only %}
        </script>
    {% endblock %}
{% endif %}

{% block bread %}
    {{ parent() }}
    <li>News</li>
{% endblock %}

{% block body %}
    <div class="container container-sr">
        <div class="feed-social">

            <div id="feed-listing" class="card-feed-listing">

                <div id="feed-listing-container"></div>
                <div id="feed-listing-loader" data-target="#feed-listing-container" {{ ajax_data_href('app_fragment_feed') }}>
                    {% include 'AppBundle:fragment:action-status-icon.html.twig' with {
                    'icon'       : 'fa-refresh',
                    'icon_class' : 'fa-spin',
                    'text'       : 'Loading news feed...'
                    } only %}
                </div>

            </div>

            <div class="feed-social-link">
                <div class="card">

                    <h3 class="primary-hr-i">
                        {{ ion('forward') }} {{ block_title('feed.more') }}
                    </h3>

                    {{ block_content('feed.more') }}

                    {% include 'AppBundle:fragment:link-button-block.html.twig' with {
                        'url'  : block_prop('feed.more', 'link_href'),
                        'text' : block_prop('feed.more', 'link_text')
                    } only %}

                </div>
            </div>

        </div>
    </div>
{% endblock %}
